nav {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;  
    gap: 20px;
    padding: 40px 40px 20px 20px;
}
nav h1 {
    margin: 0;
    padding: 0;
    font-size: 28px;
    font-weight: 900;
}

.articles-container {
    padding: 20px 30px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
    margin-bottom: 1em;
}
.article-item {
    display: flex;
    flex-direction: column;
}
.article-item a {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 4px;
    text-decoration: none;
    color: inherit;
}
.article-item a:hover {
    text-decoration: none;
    color: inherit;
}
.article-item img {
    aspect-ratio: 16 / 9; 
    height: auto;
    width: 100%;
    object-fit: cover;
    object-position: 50% 50%;
    border-radius: 25px;
    border: 8px solid var(--mirai-color-white);
}
.article-item.search img {
    aspect-ratio: 1 / 1;
    height: auto;
    width: 100%;
    object-fit: cover;
    object-position: 50% 50%;
    border: 5px solid var(--mirai-color-white);
    border-radius: 15px;
}
.post-title-small {
    font-size: 18px;
    font-weight: 900;
    line-height: 170%;
}
.post-excerpt {
    margin: 0;
    padding: 0;
    font-size: 13px;
    line-height: 170%;
    letter-spacing: +0.5px;
    color: var(--mirai-color-black-60);
}
.post-author {
    display: flex;
    align-items: center;
    font-size: 14px;
    gap: 5px;
    margin-top: auto;
}
.post-author img {
    width: 30px;
    height: 30px;
    border-radius: 50%;
}
.tag-label {
    margin-top: 25px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 0;
    flex-wrap: wrap;
    font-weight: 900;
    font-size: 14px;
}
.tag-label .category-label-link {
    margin-right: 12px;
    margin-bottom: 3px;
    padding: 2px 8px;
    background: var(--mirai-color-green-10);
    color: var(--mirai-color-green-100);
    border-radius: 8px;
}
.tag-label .tag-label-link {
    margin-right: 12px;
    padding: 2px 8px;
    background: var(--mirai-color-blue-10);
    color: var(--mirai-color-blue-100);
    border-radius: 8px;
}

@media (max-width: 1024px) {
    .articles-container {
        grid-template-columns: repeat(2, 1fr);
        padding: 0;
    }
}
@media (max-width: 1000px) {
    .topic-list {
        font-size: 14px;
    }
}
@media (max-width: 768px) {
    nav {
        padding: 0;
    }
    nav h1 {
        margin: 0;
        padding: 0;
        font-size: 28px;
        font-weight: 900;
    }
    .articles-container {
        grid-template-columns: 1fr;
    }
    .article-item {
        margin-bottom: 1em;
    }
}

/*Pagination*/
.pagination {
    text-align: center;
    margin-top: 2rem;
}
.pagination a {
    margin: 0 8px;
    padding: 10px 20px;
}
.page-numbers.current, .page-numbers:hover {
    padding: 10px 20px;
    background-color: var(--mirai-color-black-10);
    border-radius: 5px;
    text-decoration: none;
    color: inherit;
}